package net.northking.cctp.executePlan.enums;

/**
 * <p>Title: MobilePlatformEnum</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/10/23 11:27
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */
public enum MobilePlatformEnum {

    ANDROID("0", "android"),
    IOS("1", "ios");

    private String type;
    private String name;

    MobilePlatformEnum(String type, String name) {
        this.type = type;
        this.name = name;
    }

    public String getType(){
        return type;
    }

    public String getName() {
        return name;
    }

    public static String getNameByType(String type){
        for (MobilePlatformEnum platformEnum : MobilePlatformEnum.values()) {
            if (platformEnum.getType().equals(type)) {
                return platformEnum.getName();
            }
        }
        return "";
    }
}
